| Home | Libraries | People | FAQ | More

### local::datagram_protocol

Encapsulates the flags needed for datagram-oriented UNIX sockets.

    class datagram_protocol

##### Types

Name | Description
--- | ---
endpoint | The type of a UNIX domain endpoint.
socket | The UNIX domain socket type.

##### Member Functions

Name | Description
--- | ---
family | Obtain an identifier for the protocol family.
protocol | Obtain an identifier for the protocol.
type | Obtain an identifier for the type of the protocol.

The local::datagram_protocol class contains flags necessary for datagram-oriented UNIX domain sockets.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Safe.